---
lang: en
title: 'API docs: rest.httphandler.registerroute'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.httphandler.registerroute.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [HttpHandler](./rest.httphandler.md) &gt; [registerRoute](./rest.httphandler.registerroute.md)

## HttpHandler.registerRoute() method

<b>Signature:</b>

```typescript
registerRoute(route: RouteEntry): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  route | <code>RouteEntry</code> |  |

<b>Returns:</b>

`void`


